\name{fitYP3}
\alias{fitYP3}
\title{ Compute Baseline Hazard for the Given Data, Given Parameters beta1, beta2, lam, fun. 
Also, Given the Baseline, Compute the empirical likelihood value. }
\usage{
fitYP3(Y, d, Z, beta1, beta2, lam, fun)
}
\description{
This function fits the baseline for given beta1 beta2 and lam; and then compute the empirical likelihood.
}
\arguments{
    \item{Y}{a vector containing the observed survival times.}
    \item{d}{a vector containing the censoring indicators, 1-uncensored; 0-right censored.}
    \item{Z}{a vector of ...}
    \item{beta1}{a scalar. } 
    \item{beta2}{a scalar. }
    \item{lam}{a scalar. }
    \item{fun}{a function.}
}
\value{
    A list with the following components (may be I should also return the baseline?):
    \item{EmpLik}{this is actually the log empirical likelihood value.}
    \item{Mulam}{ The value of int f(t) d H(t) for corresponding lam.}
    \item{BaseHazw}{ The baseline hazard jumps.}
}
\details{

Difference to the function \code{el.cen.EM}: due to the introduction of
input \code{xc} here in this function, the output \code{loglik} may be different
compared to the function \code{el.cen.EM}
due to not collapsing of duplicated input survival values.
The \code{-2LLR} should be the same from both functions.

}
\author{ Mai Zhou }
\references{
    Zhou, M. (2002). 
        Computing censored empirical likelihood ratio 
        by EM algorithm. 
    \emph{Tech Report, Univ. of Kentucky, Dept of Statistics}

}
\examples{
## censored regression with one right censored observation.
## we check the estimation equation, with the MLE inside myfun7. 
y <- c(3, 5.3, 6.4, 9.1, 14.1, 15.4, 18.1, 15.3, 14, 5.8, 7.3, 14.4)
x <- c(1, 1.5, 2,   3,   4,    5,    6,    5,    4,  1,   2,   4.5)
d <- c(1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0)
}
\keyword{nonparametric}
\keyword{survival}
